%undefine __cmake_in_source_build

Name:           plasma-pk-updates
Version:        0.3.2
Release:    1%{?dist}
Summary:        Plasma applet for system updates using PackageKit

License:        GPLv2+
URL:            https://invent.kde.org/system/plasma-pk-updates
Source0:        https://download.kde.org/stable/plasma-pk-updates/%{version}/plasma-pk-updates-%{version}.tar.xz

Patch5: 0005-Several-fixes-related-to-the-network-state-and-apple.patch
Patch6: 0006-Don-t-force-a-check-for-updates-when-the-applet-runs.patch
Patch8: 0008-Replace-KIconLoader-pixmaps-with-standard-icon-names.patch
Patch9: 0009-Fix-usage-of-0-for-null-pointer-constants.patch
Patch10: 0010-Use-own-eventIds-and-ComponentName-instead-of-generi.patch
Patch11: 0011-Make-the-notifications-less-obtrusive.patch
Patch12: 0012-Fix-minor-typos.patch
Patch13: 0013-Fix-warning-remove-unsigned-int-0-check.patch
Patch14: 0014-Remove-explicit-initialization-of-default-constructe.patch
Patch15: 0015-Port-away-from-KDELibs4Support-use-Solid-Power-inter.patch
Patch30: 0030-Add-support-for-license-prompts.patch
Patch35: 0035-Make-action-buttons-translatable.patch
Patch42: 0042-Don-t-show-an-error-for-a-failed-automatic-refresh.patch

Patch100: plasma-pk-updates-0.3.2-notif.patch

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-solid-devel >= 5.75.0-2
BuildRequires:  kf5-rpm-macros
BuildRequires:  PackageKit-Qt5-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel

BuildRequires:  libappstream-glib

Requires:       PackageKit
Requires:       kf5-solid >= 5.75.0-2

%description
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.plasma.pkupdates.appdata.xml ||:


%files -f %{name}.lang
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.plasma.pkupdates.desktop
%{_kf5_qmldir}/org/kde/plasma/PackageKit/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.pkupdates/
%{_kf5_metainfodir}/org.kde.plasma.pkupdates.appdata.xml
%{_kf5_datadir}/knotifications5/plasma_pk_updates.notifyrc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-1
- initial build
